# $Revision: 1.360 $, $Date: 2011/05/17 13:39:54 $
#
# Conditional build:
%bcond_without	ldap	# without LDAP map module
%bcond_without	mysql	# without MySQL map module
%bcond_without	pgsql	# without PostgreSQL map module
%bcond_without	sqlite	# without SQLite map module
%bcond_without	sasl	# without SMTP AUTH support
%bcond_without	ssl	# without SSL/TLS support
%bcond_without	cdb	# without cdb map support
%if "%{pld_release}" == "th"
%bcond_without	vda	# without VDA patch
%else
%bcond_with	vda	# with VDA patch
%endif
%bcond_with	hir	# with Beeth's header_if_reject patch
%bcond_with	tcp	# with unofficial tcp: lookup table
%if "%{pld_release}" == "ac"
%bcond_with		epoll	# enable epoll for 2.6 kernels
# there didn't exist x86_64 2.4 kernel in PLD, so can safely enable epoll
%ifarch %{x8664}
%define		with_epoll	1
%endif
%else
%bcond_without	epoll	# disable epoll for 2.4 kernels
%endif

%define		vda_ver v10-2.8.1
Summary:	Postfix Mail Transport Agent
Summary(cs.UTF-8):	Postfix - program pro přepravu pošty (MTA)
Summary(es.UTF-8):	Postfix - Un MTA (Mail Transport Agent) de alto desempeño
Summary(fr.UTF-8):	Agent de transport de courrier Postfix
Summary(pl.UTF-8):	Serwer SMTP Postfix
Summary(pt_BR.UTF-8):	Postfix - Um MTA (Mail Transport Agent) de alto desempenho
Summary(sk.UTF-8):	Agent prenosu pošty Postfix
Name:		postfix
Version:	2.8.3
Release:	1
Epoch:		2
License:	distributable
Group:		Networking/Daemons/SMTP
Source0:	ftp://ftp.porcupine.org/mirrors/postfix-release/official/%{name}-%{version}.tar.gz
# Source0-md5:	b3922ededd3fd6051f759e58a4ada3ae
Source1:	%{name}.aliases
Source2:	%{name}.cron
Source3:	%{name}.init
Source4:	%{name}.sysconfig
Source5:	%{name}.sasl
Source6:	%{name}.pamd
Source7:	http://vda.sourceforge.net/VDA/%{name}-vda-%{vda_ver}.patch
# Source7-md5:	5d5156e51cc07057bf347bbb34934d3e
Source8:	%{name}-bounce.cf.pl
# http://postfix.state-of-mind.de/bounce-templates/bounce.de-DE.cf
Source9:	%{name}-bounce.cf.de
Source10:	%{name}.monitrc
Source11:	%{name}-vda-bigquota.patch
#Source11:	http://vda.sourceforge.net/VDA/%{name}-%{vda_ver}-vda-ng-bigquota.patch.gz
# -ource11-md5:	d46103195b43ec5784ea2c166b238f71
Patch0:		%{name}-config.patch
Patch1:		%{name}-conf_msg.patch
Patch2:		%{name}-dynamicmaps.patch
Patch3:		%{name}-master.cf_cyrus.patch
# from http://akson.sgh.waw.pl/~chopin/unix/postfix-2.1.5-header_if_reject.diff
Patch4:		%{name}-header_if_reject.patch
Patch5:		%{name}-ident.patch
Patch6:		%{name}-lib64.patch
Patch7:		%{name}-conf.patch
Patch8:		%{name}-dictname.patch
Patch9:		%{name}-make-jN.patch
Patch10:	%{name}-link.patch
Patch11:	%{name}-scache_clnt.patch
URL:		http://www.postfix.org/
%{?with_sasl:BuildRequires:	cyrus-sasl-devel}
BuildRequires:	db-devel
# getifaddrs() with IPv6 support
BuildRequires:	glibc-devel >= 6:2.3.4
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.0.12}
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7l}
BuildRequires:	pcre-devel
BuildRequires:	perl-base
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
%{?with_sqlite:BuildRequires:	sqlite3-devel}
%{?with_cdb:BuildRequires:	tinycdb-devel}
%{?with_mysql:BuildRequires:	zlib-devel}
Requires(post):	/bin/hostname
Requires(post,postun):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	/sbin/chkconfig
Requires:	diffutils
Requires:	findutils
Requires:	rc-scripts
Requires:	sed
%{?with_cdb:Requires:tinycdb}
Suggests:	cyrus-sasl-saslauthd
Provides:	group(postfix)
Provides:	smtpdaemon
Provides:	user(postfix)
Obsoletes:	smtpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Postfix is attempt to provide an alternative to the widely-used
Sendmail program. Postfix attempts to be fast, easy to administer, and
hopefully secure, while at the same time being sendmail compatible
enough to not upset your users. This version has IPv6 support.

%description -l es.UTF-8
Postfix es una alternativa para el mundialmente utilizado sendmail. Si
desea tener un servidor SMTP *rápido*, debe instalar este paquete.

%description -l fr.UTF-8
Postfix (voir http://www.postfix.org/) se veut une alternative à
sendmail, responsable de l'acheminement de 70% des courriers
électroniques sur Internet. IBM en a suppotré le développement, mais
ne contrôle pas son évolution. Le but est d'installer Postfix sur le
plus grand nombre de systèmes possible. Dans cette optique, il a été
écrit pour être totalement sous le contrôle de l'utilisateur.

%description -l it.UTF-8
Postfix (http://www.postfix.org/) e' un'alternativa al programma
sendmail utilizzato per la gestione del 70 per cento della posta
Internet.

Seppur IBM supporti lo sviluppo di Postfix, non controlla la sua
evoluzione.

Consultate la pagine web http://www.moongroup.com/how-to.phtml nella
quale troverete le indicazioni per una corretta installazione e
configurazione di questo programma.

%description -l pl.UTF-8
Postfix jest próbą dostarczenia alternatywnego MTA w stosunku do
szeroko używanego sendmaila. Postfix w zamierzeniu ma być szybki,
łatwy w administrowaniu, bezpieczny oraz ma być na tyle kompatybilny z
sendmailem by nie denerwować użytkowników. Ta wersja obsługuje IPv6.

%description -l pt_BR.UTF-8
O Postfix é uma alternativa para o mundialmente utilizado sendmail. Se
você deseja um servidor SMTP *rápido*, instale este pacote.

%description -l sk.UTF-8
Postfix (pozri http://www.postfix.org/) má za cieľ byť alternatívou k
široko rozšírenému programu sendmail, zodpovednému za 70% všetkej
elektronickej pošty doručenej na Internete.

Aj keď IBM podporovala vývoj Postfixu, zdržiava sa vplyvu na jeho
vývoj. Cieľom je inštalácia Postfixu na čo najväčšom počte systémov.
Do tohoto momentu je softvér poskytovaný bez ovplyvňovania, takže sa
môže vyvíjať podľa jeho používateľov.

Určite si prečítajte http://www.moongroup.com/how-to.phtml, kde sú
popísané kroky potrebné pred a po inštalácii Postfixu.

%package devel
Summary:	Postfix loadable modules development package
Summary(pl.UTF-8):	Pakiet dla programistów ładowanych modułów do postfiksa
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files to build additional map types for Postfix.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia dodatkowych typów map dla Postfiksa.

%package dict-ldap
Summary:	LDAP map support for Postfix
Summary(pl.UTF-8):	Obsługa map LDAP dla Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	openldap >= 2.3.6

%description dict-ldap
This package provides support for LDAP maps in Postfix.

%description dict-ldap -l pl.UTF-8
Ten pakiet dodaje obsługę map LDAP do Postfiksa.

%package dict-mysql
Summary:	MySQL map support for Postfix
Summary(pl.UTF-8):	Obsługa map MySQL dla Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-mysql
This package provides support for MySQL maps in Postfix.

%description dict-mysql -l pl.UTF-8
Ten pakiet dodaje obsługę map MySQL do Postfiksa.

%package dict-pcre
Summary:	PCRE map support for Postfix
Summary(pl.UTF-8):	Obsługa map PCRE dla Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-pcre
This package provides support for PCRE maps in Postfix.

%description dict-pcre -l pl.UTF-8
Ten pakiet dodaje obsługę map PCRE do Postfiksa.

%package dict-pgsql
Summary:	PostgreSQL map support for Postfix
Summary(pl.UTF-8):	Obsługa map PostgreSQL dla Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-pgsql
This package provides support for PostgreSQL maps in Postfix.

%description dict-pgsql -l pl.UTF-8
Ten pakiet dodaje obsługę map PostgreSQL do Postfiksa.

%package dict-sqlite
Summary:	SQLite map support for Postfix
Summary(pl.UTF-8):	Obsługa map SQLite dla Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-sqlite
This package provides support for SQLite maps in Postfix.

%description dict-sqlite -l pl.UTF-8
Ten pakiet dodaje obsługę map SQLite do Postfiksa.

%package qshape
Summary:	qshape - Print Postfix queue domain and age distribution
Summary(pl.UTF-8):	qshape - wypisywanie rozkładu domen i wieku z kolejki Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description qshape
The qshape program helps the administrator understand the Postfix
queue message distribution in time and by sender domain or recipient
domain. The program needs read access to the queue directories and
queue files, so it must run as the superuser or the mail_owner
specified in main.cf (typically postfix).

%description qshape -l pl.UTF-8
Program qshape pomaga administratorowi zrozumieć rozkład kolejki
wiadomości Postfiksa w czasie i w zależności od domeny nadawcy lub
adresata. Program wymaga prawa odczytu do katalogów kolejki i plików
kolejki, więc musi być uruchamiany przez superużytkownika lub
użytkownika mail_owner podanego w main.cf (zwykle nazywającego się
postfix).

%package -n monit-rc-%{name}
Summary:	monit support for Postfix
Summary(pl.UTF-8):	Wsparcie monita dla Postfiksa
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	monit

%description -n monit-rc-%{name}
monitrc file for monitoring Postfix.

%description -n monit-rc-%{name} -l pl.UTF-8
Plik monitrc do monitorowania serwera Postfix.

%prep
%setup -q
%if %{with vda}
cat %{SOURCE7} | %{__patch} -p1 -s
cat %{SOURCE11} | %{__patch} -p1 -s
%endif

find -type f | xargs sed -i -e 's|/etc/postfix|/etc/mail|g'

%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%{?with_hir:%patch4 -p0}
%patch5 -p1
sed -i '/scache_clnt_create/s/server/var_scache_service/' src/global/scache_clnt.c
%if "%{_lib}" == "lib64"
%patch6 -p1
%endif
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%if %{with tcp}
sed -i 's/ifdef SNAPSHOT/if 1/' src/util/dict_open.c
%endif

%build
%{__make} -f Makefile.init makefiles
%{__make} tidy
CC="%{__cc}"
export CC
%{__make} \
	DEBUG="" \
	OPT="%{rpmcflags} -D_FILE_OFFSET_BITS=64" \
	%{!?with_ldap:LDAPSO=""} \
	%{!?with_mysql:MYSQLSO=""} \
	%{!?with_pgsql:PGSQLSO=""} \
	CCARGS="%{!?with_epoll:-DNO_EPOLL} %{?with_ldap:-DHAS_LDAP} -DHAS_PCRE %{?with_sasl:-DUSE_SASL_AUTH -DUSE_CYRUS_SASL -I/usr/include/sasl} %{?with_mysql:-DHAS_MYSQL -I/usr/include/mysql} %{?with_pgsql:-DHAS_PGSQL} %{?with_ssl:-DUSE_TLS} -DMAX_DYNAMIC_MAPS %{?with_cdb:-DHAS_CDB}" \
	AUXLIBS="-ldb -lresolv %{?with_sasl:-lsasl} %{?with_ssl:-lssl -lcrypto} %{?with_cdb:-lcdb} -lpcre"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{cron.daily,rc.d/init.d,sysconfig,pam.d,security,monit} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{mail,sasl} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_libdir}/postfix,/usr/lib}\
	$RPM_BUILD_ROOT{%{_includedir}/postfix,%{_mandir}} \
	$RPM_BUILD_ROOT%{_var}/spool/postfix/{active,corrupt,deferred,maildrop,private,saved,bounce,defer,incoming,pid,public} \
	$RPM_BUILD_ROOT%{_var}/lib/postfix
%{__rm} html/Makefile.in conf/{LICENSE,main.cf.default}

install -p bin/* $RPM_BUILD_ROOT%{_sbindir}
install -p libexec/* $RPM_BUILD_ROOT%{_libdir}/postfix
ln $RPM_BUILD_ROOT%{_libdir}/postfix/smtp $RPM_BUILD_ROOT%{_libdir}/postfix/lmtp
ln $RPM_BUILD_ROOT%{_libdir}/postfix/qmgr $RPM_BUILD_ROOT%{_libdir}/postfix/nqmgr
cp -a conf/* $RPM_BUILD_ROOT%{_sysconfdir}/mail
sed -e's,^daemon_directory = .*,daemon_directory = %{_libdir}/postfix,' \
	conf/main.cf > $RPM_BUILD_ROOT%{_sysconfdir}/mail/main.cf

for f in dns global master util ; do
	cp -a lib/lib${f}.a $RPM_BUILD_ROOT%{_libdir}/libpostfix-${f}.so.1
	ln -sf lib${f}.so.1 $RPM_BUILD_ROOT%{_libdir}/libpostfix-${f}.so
done
install -p lib/dict*.so $RPM_BUILD_ROOT%{_libdir}/postfix
cp -a include/*.h $RPM_BUILD_ROOT%{_includedir}/postfix

cp -a man/man* $RPM_BUILD_ROOT%{_mandir}

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/mail/aliases
install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/postfix
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/postfix
cp -a %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/postfix
cp -a %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/sasl/smtpd.conf
cp -a %{SOURCE6} $RPM_BUILD_ROOT/etc/pam.d/smtp
cp -a %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/mail/bounce.cf.pl
cp -a %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/mail/bounce.cf.de
cp -a %{SOURCE10} $RPM_BUILD_ROOT/etc/monit/%{name}.monitrc
install -p auxiliary/rmail/rmail $RPM_BUILD_ROOT%{_bindir}/rmail
install -p auxiliary/qshape/qshape.pl $RPM_BUILD_ROOT%{_bindir}/qshape

ln -sf %{_sbindir}/sendmail $RPM_BUILD_ROOT%{_bindir}/mailq
ln -sf %{_sbindir}/sendmail $RPM_BUILD_ROOT%{_bindir}/newaliases
ln -sf %{_sbindir}/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail

touch $RPM_BUILD_ROOT%{_sysconfdir}/mail/\
	{aliases,access,canonical,relocated,transport,virtual}{,.db}

touch $RPM_BUILD_ROOT/etc/security/blacklist.smtp

> $RPM_BUILD_ROOT/var/spool/postfix/.nofinger

%{__rm} -r $RPM_BUILD_ROOT%{_sysconfdir}/mail/makedefs.out
%{__rm} $RPM_BUILD_ROOT%{_sysconfdir}/mail/TLS_LICENSE

%{__rm} $RPM_BUILD_ROOT%{_sysconfdir}/mail/{postfix-files,postfix-script,post-install}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 62 postfix
%groupadd -g 63 maildrop
%useradd -u 62 -d /var/spool/postfix -s /bin/false -c "Postfix User" -g postfix postfix

%post
/sbin/ldconfig
if ! grep -q "^postmaster:" %{_sysconfdir}/mail/aliases; then
	echo "Adding Entry for postmaster in %{_sysconfdir}/mail/aliases" >&2
	echo "postmaster: root" >>%{_sysconfdir}/mail/aliases
fi
if [ "$1" = "1" ]; then
	# only on installation, not upgrade; set sane defaults
	# postfix expects gethostname() to return FQDN, which is obviously wrong
	if ! grep -qE "^my(domain|hostname)" %{_sysconfdir}/mail/main.cf; then
		domain=$(/bin/hostname -d 2>/dev/null)
		[ "$domain" != 'localdomain' ] && \
			postconf -e mydomain="$domain"
	fi
else
	%{_sbindir}/postfix upgrade-configuration
fi

%{_bindir}/newaliases
/sbin/chkconfig --add postfix
%service postfix restart "Postfix Daemon"

%preun
if [ "$1" = "0" ]; then
	%service postfix stop
	/sbin/chkconfig --del postfix
fi

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%groupremove maildrop
	%userremove postfix
	%groupremove postfix
fi

%files
%defattr(644,root,root,755)
%doc html COMPATIBILITY HISTORY LICENSE RELEASE_NOTES* TLS_*
%doc README_FILES/*README
%doc examples/smtpd-policy
%dir %{_sysconfdir}/mail
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/access
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/aliases
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/bounce.cf.default
%lang(de) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/bounce.cf.de
%lang(pl) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/bounce.cf.pl
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/canonical
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/generic
#%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/regexp_table
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/relocated
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/transport
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/virtual
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/header_checks
#%ghost %{_sysconfdir}/mail/*.db
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/dynamicmaps.cf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/main.cf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/master.cf
%{_sysconfdir}/mail/postfix-wrapper
%{_sysconfdir}/mail/postmulti-script
%attr(740,root,root) /etc/cron.daily/postfix
%attr(754,root,root) /etc/rc.d/init.d/postfix
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/postfix
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/smtp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.smtp
%{?with_sasl:%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sasl/smtpd.conf}
%attr(755,root,root) %{_libdir}/libpostfix-*.so.*
%attr(755,root,root) %{_bindir}/mailq
%attr(755,root,root) %{_bindir}/newaliases
%attr(755,root,root) %{_bindir}/rmail
%attr(755,root,root) %{_sbindir}/s*
%attr(755,root,root) %{_sbindir}/postfix
%attr(755,root,root) %{_sbindir}/postalias
%attr(755,root,root) %{_sbindir}/postkick
%attr(755,root,root) %{_sbindir}/postl*
%attr(755,root,root) %{_sbindir}/postc*
%attr(755,root,root) %{_sbindir}/postmap
%attr(755,root,root) %{_sbindir}/postmulti
%attr(2755,root,maildrop) %{_sbindir}/postqueue
%attr(755,root,root) %{_sbindir}/postsuper
%attr(2755,root,maildrop) %{_sbindir}/postdrop
%attr(755,root,root) %{_sbindir}/qmqp-sink
%attr(755,root,root) %{_sbindir}/qmqp-source
%attr(755,root,root) /usr/lib/sendmail
%dir %{_libdir}/postfix
%attr(755,root,root) %{_libdir}/postfix/[!d]*
%attr(755,root,root) %{_libdir}/postfix/discard
%attr(755,root,root) %dir %{_var}/spool/postfix
%attr(700,postfix,root) %dir %{_var}/spool/postfix/active
%attr(700,postfix,root) %dir %{_var}/spool/postfix/bounce
%attr(700,postfix,root) %dir %{_var}/spool/postfix/corrupt
%attr(700,postfix,root) %dir %{_var}/spool/postfix/defer
%attr(700,postfix,root) %dir %{_var}/spool/postfix/deferred
%attr(700,postfix,root) %dir %{_var}/spool/postfix/incoming
%attr(1730,postfix,maildrop) %dir %{_var}/spool/postfix/maildrop
%attr(755,postfix,root) %dir %{_var}/spool/postfix/pid
%attr(700,postfix,root) %dir %{_var}/spool/postfix/private
%attr(710,postfix,maildrop) %dir %{_var}/spool/postfix/public
%attr(700,postfix,root) %dir %{_var}/spool/postfix/saved
%attr(644,postfix,root) %{_var}/spool/postfix/.nofinger
%attr(700,postfix,root) %{_var}/lib/postfix
%{_mandir}/man1/mailq.1*
%{_mandir}/man1/newaliases.1*
%{_mandir}/man1/post*.1*
%{_mandir}/man1/qmqp-*.1*
%{_mandir}/man1/sendmail.1*
%{_mandir}/man1/smtp-*.1*
%{_mandir}/man5/access.5*
%{_mandir}/man5/aliases.5*
%{_mandir}/man5/body_checks.5*
%{_mandir}/man5/bounce.5*
%{_mandir}/man5/canonical.5*
%{_mandir}/man5/cidr_table.5*
%{_mandir}/man5/generic.5*
%{_mandir}/man5/header_checks.5*
%{_mandir}/man5/master.5*
%{_mandir}/man5/nisplus_table.5*
%{_mandir}/man5/postconf.5*
%{_mandir}/man5/postfix-wrapper.5*
%{_mandir}/man5/regexp_table.5*
%{_mandir}/man5/relocated.5*
%{_mandir}/man5/tcp_table.5*
%{_mandir}/man5/transport.5*
%{_mandir}/man5/virtual.5*
%{_mandir}/man8/*.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpostfix-*.so
%{_includedir}/postfix

%if %{with ldap}
%files dict-ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_ldap.so
%{_mandir}/man5/ldap_table.5*
%endif

%if %{with mysql}
%files dict-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_mysql.so
%{_mandir}/man5/mysql_table.5*
%endif

%files dict-pcre
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_pcre.so
#%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/pcre_table
%{_mandir}/man5/pcre_table.5*

%if %{with pgsql}
%files dict-pgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_pgsql.so
%{_mandir}/man5/pgsql_table.5*
%endif

%if %{with sqlite}
%files dict-sqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_sqlite.so
%{_mandir}/man5/sqlite_table.5*
%endif

%files qshape
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qshape
%{_mandir}/man1/qshape.1*

%files -n monit-rc-%{name}
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/monit/%{name}.monitrc

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: postfix.spec,v $
Revision 1.360  2011/05/17 13:39:54  lisu
- dropped -j1, not needed

Revision 1.359  2011/05/17 13:38:45  lisu
- added -j1 flag to makes
- __rm macros

Revision 1.358  2011/05/17 12:52:57  lisu
- updated to 2.8.3 by shadzik
- fix build (scache_clnt.patch) by shadzik
- patches updated by shadzik and partly by me
- add sqlite map support

Revision 1.357  2011/05/16 13:30:35  arekm
- release 3

Revision 1.356  2011/03/31 18:13:21  arekm
- release 2

Revision 1.355  2011/03/09 09:11:02  zawadaa
- up to 2.7.3 - security
- http://www.postfix.org/CVE-2011-0411.html

Revision 1.354  2010/12/16 11:42:53  glen
- release 3

Revision 1.353  2010/12/16 11:40:40  glen
- hostname -d may return nothing but error (hostname: Unknown host); rel 2

Revision 1.352  2010/11/24 16:16:58  glen
- 2.7.2

Revision 1.351  2010/11/08 19:18:13  baggins
- rel 3
- fix linking issues (inter-library deps for internal libs)

Revision 1.350  2010/10/29 17:12:14  hawk
- release 2

Revision 1.349  2010/08/02 16:31:24  shadzik
- pldized patch11 name

Revision 1.348  2010/06/09 16:17:03  glen
- up to 2.7.1

Revision 1.347  2010/04/21 11:09:21  baggins
- rel 2
- renumbered patches

Revision 1.346  2010/04/21 11:07:37  baggins
- removed obsolete patch (postfix now logs all proxy replies)

Revision 1.345  2010/04/15 15:36:13  baggins
- rel 1

Revision 1.344  2010/04/15 15:16:34  baggins
- no need to redefine HAVE_GETIFADDRS, postfix autogroks it if glibc >= 2.4

Revision 1.343  2010/04/15 15:02:51  baggins
- cosmetics

Revision 1.342  2010/04/15 14:58:19  baggins
- hand made vda-bigquota patch, builds

Revision 1.341  2010/04/15 13:52:26  baggins
- up to 2.7.0
- vda-bigquota patch needs love
- build-tested without vda-bigquota

Revision 1.340  2010/04/05 19:32:46  shadzik
- 2.6.6
- vda-ng-64bit.patch -> vda-ng-bigquota.patch

Revision 1.339  2009/11/25 16:21:03  shadzik
- 2.6.5

Revision 1.338  2009/11/14 20:11:31  zbyniu
- BR: perl-base

Revision 1.337  2009/08/26 10:53:13  amateja
- updated to 2.6.4

Revision 1.336  2009/06/16 08:14:42  gotar
- restored slightly modified postconf -e removed in rev. 1.306

Revision 1.335  2009/06/09 07:16:56  shadzik
- 2.6.2

Revision 1.334  2009/06/02 15:50:01  glen
- remove /etc/mail/postfix-files /etc/mail/postfix-script,
  /etc/mail/post-install, which postfix upgrade-configuration complains are
  present but no longer used
- rel 2

Revision 1.333  2009/05/26 23:29:40  glen
- %lang for translated bounce messages

Revision 1.332  2009/05/25 17:51:34  shadzik
- updated to 2.6.1; adjusted %files

Revision 1.331  2009/05/24 15:39:11  shadzik
- 2.5.7
- well, 2.6.1 is now stable, 2.5.x is legacy so consider further upgrades

Revision 1.330  2009/01/09 22:16:22  qboosh
- vda-ng-64bit patch is meant to overcome 32-bit long

Revision 1.329  2009/01/09 12:56:54  glen
- release 2

Revision 1.328  2009/01/09 11:02:52  glen
- md5 for vda64

Revision 1.327  2009/01/08 12:50:28  glen
- postfix 2.5.6, vda patch 2.5.5 by Eero Hänninen

Revision 1.326  2009/01/06 12:51:13  glen
- epoll on on x86_64 ac

Revision 1.325  2008/11/06 23:33:59  zbyniu
- broken epoll bcond; rel 2

Revision 1.324  2008/10/25 15:24:16  blues
- SMTP group

Revision 1.323  2008/09/03 14:11:41  undefine
- up to 2.5.5. security fix: http://www.postfix.org/announcements/20080902.html
  (note - on ac epoll is disables by default)

Revision 1.322  2008/08/18 20:51:36  glen
- release 3 (db 4.2 rebuild)

Revision 1.321  2008/08/18 18:46:29  glen
- newaliases is in /usr/bin; rel 2

Revision 1.320  2008/08/18 12:52:49  glen
- update to 2.5.4, vda 2.5.3 by Eero Hänninen

Revision 1.319  2008/08/18 12:43:16  glen
- prepare bconds for ac

Revision 1.318  2008/07/08 14:46:16  glen
- update to 2.5.2 (by Eero Hänninen)

Revision 1.317  2008/06/12 19:42:42  arekm
- rel 7

Revision 1.316  2008-05-24 14:30:56  hawk
- uh, typo from testing if it works ;)

Revision 1.315  2008-05-24 14:29:06  hawk
- use %pld_release macro for Titanium specific changes

Revision 1.314  2008-04-28 13:19:30  glen
- release 6 (integer release)

Revision 1.313  2008-04-01 06:50:21  sls
- fixed parallel building

Revision 1.312  2008-03-31 22:18:07  glen
- enable epoll on HEAD

Revision 1.311  2008-03-28 16:21:14  glen
- updates by Eero Hänninen <eero.hanninen at delfi.ee>; rel 5.1 (give it a test!)

Revision 1.310  2008-03-27 13:42:52  glen
- release notes say ldap 2.0.12 only needed

Revision 1.309  2008-03-26 22:40:41  glen
- make -jN problem

Revision 1.308  2008-03-26 21:35:39  glen
- update to 2.5.1 stable

Revision 1.307  2007-12-19 01:05:56  zbyniu
- parallel build now possible

Revision 1.306  2007-12-11 16:24:28  glen
- it startups fine without implicit myhostname in main.cf; rel 4

Revision 1.305  2007-12-11 13:25:21  sls
- some __make -j1

Revision 1.304  2007-11-21 09:27:41  blues
- rel.3, fixed monitrc req.

Revision 1.303  2007-11-18 17:59:56  arekm
- rel 2

Revision 1.302  2007-11-03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.301  2007/11/01 08:40:02  shadzik
- 2.4.6

Revision 1.300  2007/10/20 08:34:49  qboosh
- real pl for monit-rc- (consider using monit-rc-postfix.spec?)

Revision 1.299  2007/10/14 20:42:49  blues
- rel.2 - monit support for postfix

Revision 1.298  2007/10/05 22:51:38  gotar
- added german bounce templates

Revision 1.297  2007/09/13 10:56:20  baggins
- rel 1

Revision 1.296  2007/09/11 17:42:20  gotar
- added bounce.cf.pl (note: it's based on 2.3.12),
- config and verify flags for bounce.cf.default

Revision 1.295  2007/09/10 22:46:36  baggins
- package bounce templates
- works for me

Revision 1.294  2007/09/10 14:17:38  baggins
- sorted patches

Revision 1.293  2007/09/10 14:16:48  baggins
- removed "polish" bcond, patch and TODO, no one cared for more than 3 years

Revision 1.292  2007/09/10 14:13:55  baggins
- removed obsolete size-check-before-proxy.patch
- updated log-proxy-rejects.patch (NOT obsolete)

Revision 1.291  2007/09/10 14:02:16  baggins
- up to 2.4.5
- new VDA patch
- build-tested only

Revision 1.290  2007/09/10 09:31:59  shadzik
- pass CC correctly
- re-add sasl and ssl/tls support
- properly link dicts so that really only them have *sql deps
- rel 3

Revision 1.289  2007/09/09 08:35:43  glen
- fixing no extra deps merged from AC-branch

Revision 1.288  2007/09/08 12:03:29  qboosh
- simplified man installing, moved some pages to proper packages

Revision 1.287  2007/09/07 21:25:06  qboosh
- added missing mailq,newaliases symlinks

Revision 1.286  2007/09/07 21:21:48  qboosh
- added missing lmtp,nqmgr hardlinks
- avoid subshells

Revision 1.285  2007/09/07 15:05:34  qboosh
- merged vda update to 2.3.3 (from AC-branch, by shadzik)
- release 2

Revision 1.284  2007/08/26 15:48:30  shadzik
- 2.3.12

Revision 1.283  2007/08/26 10:38:34  qboosh
- pl for -qshape

Revision 1.282  2007/08/17 12:38:04  glen
- separate qshape into -qshape to cut out perl dependency; rel 9

Revision 1.281  2007/08/06 10:07:04  patrys
- drop mutual obsoletes
- rel up

Revision 1.280  2007/07/13 20:37:34  arekm
- don't provide /usr/lib/sendmail. It's already provides; see rpm -q --fileprovide.

Revision 1.279  2007/07/13 18:30:37  twittner
- added Provides: /usr/lib/sendmail
- rel. up

Revision 1.278  2007/06/24 07:11:57  undefine
- add qshape script
- release 5

Revision 1.277  2007/04/02 15:26:26  qboosh
- Suggests: cyrus-sasl-saslauthd because of default sasl config file

Revision 1.276  2007/04/02 00:47:40  baggins
- rel 4
- added missing dir

Revision 1.275  2007/03/27 16:00:36  baggins
- unify blacklists for pam configs

Revision 1.274  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.273  2007/02/12 16:55:08  japhy
- Add --with tcp bcond for unofficial TCP lookup table.

Revision 1.272  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.271  2007/02/02 15:55:35  shadzik
- return to more acurate db-devel BR

Revision 1.270  2007/02/02 14:34:56  shadzik
- reverse VDA bcond and make it build by default
- BR db-devel -> db4.5-devel
- rel 2
- STBR

Revision 1.269  2007/01/12 10:10:13  qboosh
- restored openssl BR

Revision 1.268  2007/01/10 04:26:15  shadzik
- -devel no longe provides libmilter.a

Revision 1.267  2007/01/10 04:24:18  shadzik
- reverted my last change
- seems to be a stupid idea due to missing mfapi.h and proper libmilter functions like mi_stop in this milter lib

Revision 1.266  2007/01/10 03:48:39  shadzik
- package libmilter.a in -devel subpackage
- this idea is NFY

Revision 1.265  2007/01/08 18:57:23  baggins
- add -D_FILE_OFFSET_BITS=64 to CFLAGS to avoid severe problems with fstat
  with 32bit app running on 64bit kernel

Revision 1.264  2007/01/08 10:59:53  aflinta
 - up to 2.3.6
 - not tested

Revision 1.263  2006/12/18 12:44:06  japhy
- Rel up to rebuild with db4.5, STBR

Revision 1.262  2006/08/09 17:35:39  wolf
- fixed cyrus sasl
- rel 1

Revision 1.261  2006/08/01 15:09:55  wiget
- rebuild with openssl 0.9.8b

Revision 1.260  2006/08/01 15:09:16  wiget
- updated to 2.3.2 (VDA patch to 2.3.1)
- use == not = in %%if

Revision 1.259  2006/07/31 14:40:11  glen
- add postfix_memcached to TODO

Revision 1.258  2006/07/25 10:42:21  glen
- added -lib64, -conf, -dictname patches
- adapterized

Revision 1.257  2006/07/17 01:55:54  shadzik
- cosmetics

Revision 1.256  2006/07/17 01:46:56  shadzik
- uncomment VDA patch in %prep

Revision 1.255  2006/07/17 01:40:55  shadzik
- merged from DEVEL
- up to 2.3.0

Revision 1.254.4.5  2006/07/13 18:40:45  shadzik
- adapterized

Revision 1.254.4.4  2006/07/13 14:58:18  shadzik
- we still need patch3
- builds (thanks to sparky)

Revision 1.254.4.3  2006/07/13 14:15:48  sparky
- first variable in scache_clnt_create() function declaration [in
  src/global/scache_clnt.c] has incorrect name, fast fix

Revision 1.254.4.2  2006/07/11 18:45:09  shadzik
- conf_msg, dynamicmaps and ident patch fixes
- still NFY; it stopped build due to unresolved symbol var_scache_service;
  dunno what to do with this

Revision 1.254.4.1  2006/07/11 15:05:54  shadzik
- up to 2.3-RC9
- NFY - need to update some patches; wtf happend to all those dict* files ?

Revision 1.254  2006/05/08 22:19:29  baggins
- updated patch8, we still need it

Revision 1.253  2006/05/08 22:10:01  shadzik
- removed double pt_BR description

Revision 1.252  2006/05/08 21:54:12  shadzik
- up to 2.2.10, don't know what to do with patch8

Revision 1.251  2006/04/15 13:39:05  glen
- rel 6

Revision 1.250  2006/03/27 12:41:36  glen
- rel 5 (libmysqlclient_15)

Revision 1.249  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.248  2006/02/22 15:30:46  baggins
- new, host/network based ident patch

Revision 1.247  2006/02/19 23:43:20  baggins
- release 4
- added ident lookup support

Revision 1.246  2006/01/17 15:38:38  baggins
- release 3
- (B)R openldap 2.3

Revision 1.245  2005/12/04 23:17:15  glen
- adapterized (sorted %verify flags)

Revision 1.244  2005/10/27 17:50:53  arekm
- rel 2

Revision 1.243  2005/10/04 16:16:24  glen
- pure requires chkconfig

Revision 1.242  2005/09/08 15:46:23  baggins
- updated to 2.2.5
- added log-proxy-rejects patch so non-2xx answers from smtpd proxy
  will be syslogged, currently there is no information what happens to
  mail that hasn't been accepted by proxy

Revision 1.241  2005/09/07 00:22:21  baggins
- release 3
- check message size before smtpd proxy (bugfix backported from 2.3)

Revision 1.240  2005/06/01 12:28:28  jajcus
- Release: 2

Revision 1.239  2005/06/01 08:50:16  jajcus
- oops... bad patch filename

Revision 1.238  2005/06/01 08:40:19  jajcus
- master daemon fixed not to fail after setsid() error if already is a session leader (-setsid.patch) -- makes it possible to use postfix with freedt

Revision 1.237  2005/05/28 10:59:59  zergin
- updated VDA patch source to match naming shame for 2.2.x series
  (builds and works at production)

Revision 1.236  2005/05/23 09:08:23  qboosh
- sorted verify() flags

Revision 1.235  2005/05/19 20:48:07  qboosh
- release 1, goes to Ac

Revision 1.234  2005/05/04 12:14:49  qboosh
- updated to 2.2.3 (bugfixes)

Revision 1.233  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.232  2005/04/26 11:54:43  qboosh
- more groupadd args cleanup

Revision 1.231  2005/04/26 11:48:26  qboosh
- pl fix

Revision 1.230  2005/04/26 11:31:00  qboosh
- oops, renumber md5 too

Revision 1.229  2005/04/26 11:30:11  qboosh
- renumbered sources

Revision 1.228  2005/04/26 11:12:13  qboosh
- ugh, updated TLS define in build flags; release 0.2

Revision 1.227  2005/04/26 10:57:46  qboosh
- OK, master.cf triggers not needed - postfix upgrade-configuration handles this

Revision 1.226  2005/04/26 10:41:38  qboosh
- updated to 2.2.2
- updated config,conf_msg,dynamicmaps,master.cf_cyrus patches
- removed obsolete tls+ipv6,dict_cdb,cdb_man,*kill_warnings,getifaddrs patches
- updated files, release 0.1 (master.cf trigger probably needed)

Revision 1.225  2005/03/02 13:22:35  qboosh
- added getifaddrs patch and -DHAVE_GETIFADDRS: use getifaddrs() from glibc 2.3.4,
  don't use libinet6
- release 6

Revision 1.224  2005/02/22 22:49:16  eothane
- new (bconded '--with hir') patch (adds "header_if_reject" keyword)
  more info: http://42.pl/news/cubs02$sf7$1@absolut.sgh.waw.pl

Revision 1.223  2005/02/21 21:15:57  ankry
- kill libinet6 (BC: for now), rel. 4

Revision 1.222  2005/02/21 21:13:48  ankry
- update tls+ipv6 patch

Revision 1.221  2005/02/19 14:12:02  ankry
- rel. 3

Revision 1.220  2005/01/14 20:01:45  qboosh
- unified perms format

Revision 1.219  2004/12/28 15:54:21  zergin
- added bacond_with vda to compile with VDA (virtual delivery agent) patch
  support. default to off because it changes to much in postfix virtual
  behavior.

Revision 1.218  2004/11/19 15:30:00  baggins
- release 2
- set unknown_address_reject_code to 550 - default 450 in this case is stupid

Revision 1.217  2004/10/12 12:35:24  ankry
- %%groupremove/%%userremove support, some standarization

Revision 1.216  2004/10/07 19:35:44  blues
- added smtp pam file

Revision 1.215  2004/09/24 12:32:26  eothane
- up to 2.1.5; not tested

Revision 1.214  2004/07/23 20:33:26  jajcus
- Version: 2.1.4

Revision 1.213  2004/07/23 07:24:11  jajcus
- merge from POSTFIX_2_1 branch

Revision 1.212.2.5  2004/06/23 06:57:18  jajcus
- uninstalled files removal fixed, more documentation added

Revision 1.212.2.4  2004/06/23 06:17:18  jajcus
- Builds and seems to work. Needs testing.
- unpackaged files removed in %install, not installed removed from %files
- upgrade configuration on postfix upgrade

Revision 1.212.2.3  2004/06/22 13:14:10  jajcus
- most patches updated to postfix 2.1.3
- pgsql and ns-mx-acl patch removed as the functionality is included in postfix 2.1.x
- polish bcond/patch commented-out (AFAIR it didn't work anyway), added to TODO list
- dict_ldap patch removed - postfix 2.1.3 includes improved LDAP support

Revision 1.212.2.2  2004/06/22 12:20:26  jajcus
- tls+ipv6 patch MD5 sum updated

Revision 1.212.2.1  2004/06/22 12:18:04  jajcus
- starting upgrade to 2.1.x (which includes many mail filtering improvements) NOT FINISHED YET\!

Revision 1.212  2004/05/14 13:20:10  qboosh
- strict internal deps

Revision 1.211  2004/04/27 08:35:59  orzech
- up to 2.0.20

Revision 1.210  2004/04/10 19:34:50  pius
- backported ldap_dict from 2.1RC1 snapshot so that it could work with
  openldap 2.2; it also inroduces ldap lookups over ssl/tls and support
  for multiple servers
- BR: openldap-devel >= 2.2.0
- release 4

Revision 1.209  2004/04/02 21:18:41  averne
- rel3 for rebuild with new openldap

Revision 1.208  2004/03/18 10:55:44  eothane
- corrected bcond description (with->without)

Revision 1.207  2004/03/17 20:03:15  eothane
- updated TLS+IPv6 patch; BR: openssl-devel 0.9.7d
- release 2

Revision 1.206  2004/03/15 00:41:32  eothane
- up to 2.0.19, TLS+IPv6 v1.21
- builds

Revision 1.205  2004/03/13 21:42:53  orzech
- rel. 2, STBR

Revision 1.204  2004/02/25 21:49:02  ankry
- cosmetics

Revision 1.203  2004/02/25 21:37:49  blues
- obsoletes ssmtp

Revision 1.202  2004/02/25 21:33:03  blues
- obsoletes nullmailer

Revision 1.201  2004/02/24 20:54:06  blues
- obsoletes courier

Revision 1.200  2004/02/02 10:47:51  qboosh
- setup myhostname only on installation, not upgrade (fixes BTS#828)

Revision 1.199  2004/01/28 10:44:51  jajcus
- kill warnings caused by ipv6 patch (-ipv6-kill_warnings.patch)

Revision 1.198  2004/01/28 09:45:14  orzech
- md5

Revision 1.197  2004/01/28 09:32:04  orzech
- one more missing-in-action patch

Revision 1.196  2004/01/28 09:30:34  orzech
- new tls+ipv6 patch (1.21) seems broken

Revision 1.195  2004/01/28 09:12:51  orzech
- tls+ipv6 as Source, not patch

Revision 1.194  2004/01/28 08:42:35  orzech
- merged DEVEL
- with tinycdb by default
- rel. 1.2 (needs testing)

Revision 1.193.2.5  2004/01/23 13:33:02  orzech
- TODO and tls_ver gone

Revision 1.193.2.4  2004/01/23 12:33:57  eothane
- fixed %setup

Revision 1.193.2.3  2004/01/23 10:51:51  qboosh
- typo

Revision 1.193.2.2  2004/01/23 10:49:00  orzech
- typo

Revision 1.193.2.1  2004/01/23 10:40:18  orzech
- let's check what is new ipv6 patch
  ( http://www.ipnet6.org/postfix/ ) worth...
- rel. 1.1 - builds

Revision 1.193  2004/01/23 09:21:20  eothane
- updated to 2.0.18
- release 1

Revision 1.192  2004/01/11 12:19:32  eothane
- removed outdated entry from TODO list
- few cosmetics

Revision 1.191  2004/01/09 09:08:05  jajcus
- outdated entry removed from TODO

Revision 1.190  2004/01/08 08:35:05  jajcus
- removes some compiler warnings during postfix compilation
  which may cause fatal runtime errors some architectures
  (like AMD64) (-kill_warnings.patch)

Revision 1.189  2004/01/07 17:47:54  jajcus
- Release: 3
- fix daemon_directory in main.cf (it differs from standard on AMD64)
- compiler warnigs caused by -ipv6.patch killed.
  This broken code caused crash on AMD64 (there still is more of such
  broken code in other parts of postfix)

Revision 1.188  2004/01/02 17:54:52  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.187  2004/01/01 17:45:42  jajcus
- put sendmail link in /usr/lib, not in _libdir}

Revision 1.186  2003/12/01 13:31:24  qboosh
- fixed config patch: update paths in manuals too (fixes BTS#768)

Revision 1.185  2003/11/10 13:36:10  qboosh
- fixed nonsense in cdb options

Revision 1.184  2003/11/08 20:02:05  pius
- new bcond style

Revision 1.183  2003/11/08 19:53:57  pius
- updated to 2.0.16

Revision 1.182  2003/10/01 14:24:40  qboosh
- use standard glob exclusion

Revision 1.181  2003/10/01 07:29:23  qboosh
- fixed double "c" addition

Revision 1.180  2003/09/30 20:18:31  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.179  2003/09/30 19:32:17  eothane
- openssl 0.9.7c
- next release

Revision 1.178  2003/09/25 00:21:49  domelu
- cosmetics

Revision 1.177  2003/09/20 11:42:45  eothane
- removed postfix 1.x changelog

Revision 1.176  2003/09/19 22:22:21  eothane
- damn, dang & shoot

Revision 1.175  2003/09/19 22:19:35  eothane
- updated pfixtls to pfixtls-0.8.16-2.0.15-0.9.7b
- added ``unofficial patch for Postfix 2.0 to black-list domain
    names by their mail server (such as Verisign's mail server
    for non-existent .com or .net domain names) or by their DNS servers.''

Revision 1.174  2003/09/07 12:11:52  eothane
- "Postfix 2.0.15 works around two Solaris bugs."

Revision 1.173  2003/09/06 08:12:59  erjot
- cosmetic

Revision 1.172  2003/08/25 20:16:19  orzech
- fixed patches

Revision 1.171  2003/08/21 10:08:49  orzech
- up to 2.0.14

Revision 1.170  2003/07/29 11:10:48  orzech
- release 2: updated tls patch

Revision 1.169  2003/06/30 21:23:38  orzech
- up to 2.0.13

Revision 1.168  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.167  2003/06/12 14:08:45  orzech
- up to 2.0.12 (major bugfixes)

Revision 1.166  2003/06/11 11:33:05  orzech
- up to 2.0.11
- fixed pl.patch name

Revision 1.165  2003/06/03 18:38:25  ppv
- changed pl patch to fixed one

Revision 1.164  2003/05/28 13:01:21  malekith
- massive attack: source-md5

Revision 1.163  2003/05/25 06:25:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.162  2003/05/22 20:48:09  orzech
- postfix up to 2.0.10 (code cleanup)
- pfixtls up to 0.8.13-2.0.9-0.9.7b

Revision 1.161  2003/04/18 22:05:09  orzech
- bughount finished - ipv6 patch fixed - now peer name/addr resolution works fine
- rel.1

Revision 1.160  2003/04/18 19:15:07  orzech
- up to 2.0.9

Revision 1.159  2003/04/16 15:46:41  misi3k
- updated to 2.0.8

Revision 1.158  2003/04/08 07:55:38  qboosh
- Source8 is not modified, so use URL in Source8 tag
- source list shouldn't be conditional

Revision 1.157  2003/04/08 07:32:58  ppv
- added postalias(1) and postmap(1) patch [info about cdb]

Revision 1.156  2003/04/07 19:44:28  ppv
- changed Source8 URL

Revision 1.155  2003/04/07 18:29:41  ppv
fixed building without cdb

Revision 1.154  2003/04/07 18:18:57  ppv
- dang!

Revision 1.153  2003/04/07 17:51:38  ppv
- added support for tinycdb's maps (enabled by trigger ``--with cdb'')
- IPv6 info in en and pl description is disabled ``--without ipv6''
- release 0.2

Revision 1.152  2003/03/20 18:09:36  orzech
- up to 2.0.7 (several bugs causing segfaults has been killed)

Revision 1.151  2003/03/08 18:52:02  migo
- tls version up to date

Revision 1.150  2003/03/06 06:48:34  orzech
- up to 2.0.6
- rel 0.1 - not tested

Revision 1.149  2003/03/04 08:42:46  orzech
- up to 2.0.5

Revision 1.148  2003/02/21 11:46:09  orzech
- up to 2.0.4
- rel 1
- BR:openssl >= 0.9.7a

Revision 1.147  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.146  2003/02/09 21:28:55  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.145  2003/01/29 12:06:17  qboosh
- merge from RA-branch: bconds cleanup, s/psql/pgsql/ (as in module name)

Revision 1.144  2003/01/27 23:28:30  adgor
- Added -I%{_includedir}/sasl to CCARGS

Revision 1.143  2003/01/27 02:39:18  orzech
- fixed(almost) ipv6 patch
- cosmetics
- TODO
- rel 0.9 - builds(RA), works

Revision 1.142  2003/01/27 00:59:07  orzech
- up to 2.0.3

Revision 1.141  2003/01/15 23:29:02  orzech
- started upgrade to 2.0.2, nfy

Revision 1.140  2002/12/31 11:44:06  wiget
- start 2.0.0.1 and update tls to  0.8.12-2.0.0.1-0.9.6h

Revision 1.139  2002/12/23 14:29:46  orzech
- postfix 2.0.0 is coming... but NFY
